---
title: Intl.RelativeTimeFormat.prototype.format()
slug: Web/JavaScript/Reference/Global_Objects/Intl/RelativeTimeFormat/format
tags:
  - IntI
  - Internationalization
  - JavaScript
  - Method
  - Reference
  - RelativeTimeFormat
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.RelativeTimeFormat.prototype.format()</code></strong> method formats a <code>value</code> and <code>unit</code> according to the locale and formatting options of this {{jsxref("Intl.RelativeTimeFormat")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-relativetimeformat-prototype-format.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate"><var>relativeTimeFormat</var>.format(<var>value</var>, <var>unit</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>value</var></code></dt>
 <dd>Numeric value to use in the internationalized relative time message.</dd>
</dl>

<dl>
 <dt><code><var>unit</var></code></dt>
 <dd>Unit to use in the relative time internationalized message. Possible values are: "<code>year</code>", "<code>quarter</code>", "<code>month</code>", "<code>week</code>", "<code>day</code>", "<code>hour</code>", "<code>minute</code>", "<code>second</code>". Plural forms are also permitted.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>The function returned by the <code>format</code> getter formats a value and a unit into a string according to the locale and formatting options of this {{jsxref("RelativeTimeFormat", "Intl.RelativeTimeFormat")}} object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_format_usage">Basic format usage</h3>

<p>The following example shows how to create a relative time formatter using the English language.</p>

<pre class="brush: js notranslate">// Create a relative time formatter in your locale
// with default values explicitly passed in.
const rtf = new Intl.RelativeTimeFormat("en", {
    localeMatcher: "best fit", // other values: "lookup"
    numeric: "always", // other values: "auto"
    style: "long", // other values: "short" or "narrow"
});

// Format relative time using negative value (-1).
rtf.format(-1, "day");
// &gt; "1 day ago"

// Format relative time using positive  value (1).
rtf.format(1, "day");
// &gt; "in 1 day"</pre>

<h3 id="Using_the_auto_option">Using the auto option</h3>

<p>If <code>numeric:auto</code> option is passed, it will produce the string <code>yesterday</code> or <code>tomorrow</code> instead of <code>1 day ago</code> or <code>in 1 day</code>. This allows to not always have to use numeric values in the output.</p>

<pre class="brush: js notranslate">// Create a relative time formatter in your locale
// with numeric: "auto" option value passed in.
const rtf = new Intl.RelativeTimeFormat("en", { numeric: "auto" });

// Format relative time using negative value (-1).
rtf.format(-1, "day");
// &gt; "yesterday"

// Format relative time using positive day unit (1).
rtf.format(1, "day");
// &gt; "tomorrow"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-Intl.RelativeTimeFormat.prototype.format', 'RelativeTimeFormat.format()')}}</td>
   <td>Stage 4</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Intl.RelativeTimeFormat.format")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Intl.RelativeTimeFormat")}}</li>
</ul>
